Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.figures
Class ChainFigure

    java.lang.Object
      org.jhotdraw.standard.AbstractFigure
          org.jhotdraw.standard.CompositeFigure
              org.jhotdraw.contrib.GraphicalCompositeFigure
                  org.musoft.limo.drawing.ModelFigure
                      edu.udo.cs.miningmart.gui.figures.ChainFigure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.jhotdraw.contrib.Layoutable, org.jhotdraw.framework.Figure, org.jhotdraw.framework.FigureChangeListener, org.jhotdraw.util.Storable, org.musoft.limo.model.ModelListener

    public class ChainFigure

extends org.musoft.limo.drawing.ModelFigure

A `ModelFigure` for the `MiningMartChauin`.

Version:
  $Id: ChainFigure.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.musoft.limo.drawing.ModelFigure
`LABEL_CENTER, LABEL_EAST, LABEL_HIDDEN, LABEL_INSIDE, LABEL_NORTH, LABEL_OUTSIDE, LABEL_SOUTH, LABEL_WEST, labelFigure`

Fields inherited from class org.jhotdraw.standard.CompositeFigure
`_nHighestZ, _nLowestZ, fFigures`

Constructor Summary
`ChainFigure(org.musoft.limo.model.Model element, org.musoft.limo.drawing.ModelDrawing drawing)` Constructor for ChainFigure.

Method Summary
`void` | `bringToFront()`
`void` | `draw(java.awt.Graphics g)` Draws the image of the `StepFigure`.
`MiningMartChain` | `getMiningMartChain()` Gets the `MiningMartChain`.
`void` | `moveBy(int dx, int dy)` If the `ChainFigure` was moved then the position of the `Chain` also changes.
`void` | `onSetName(org.musoft.limo.model.ModelElement sender)` Sets the label.

Methods inherited from class org.musoft.limo.drawing.ModelFigure
`addToContainer, basicDisplayBox, createConnector, displayBox, getDecoration, getDrawing, getElement, getLabel, getLabelColor, getLabelFigure, getLabelPosition, getMoveable, getSizeable, handles, initialize, onAddAssociate, onAddChild, onCreateChild, onCreateConnection, onDestroy, onRemoveAssociate, onRemoveChild, onSetAttribute, onSetAttribute, onSetBounds, onSetConnectionEnd, onSetConnectionPoints, onSetConnectionStart, onSetDirty, onSetParent, onSetPosition, setDecoration, setLabel, setLabelColor, setLabelPosition, setMoveable, setPresentationFigure, setSizeable`

Methods inherited from class org.jhotdraw.contrib.GraphicalCompositeFigure
`basicMoveBy, change, clone, displayBox, figureRequestRemove, getAttribute, getAttribute, getLayouter, getPresentationFigure, layout, read, setAttribute, setAttribute, setLayouter, update, write`

Methods inherited from class org.jhotdraw.standard.CompositeFigure
`add, addAll, addAll, bringToFront, containsFigure, draw, figureAt, figureChanged, figureCount, figureInvalidated, figureRemoved, figureRequestUpdate, figures, figures, figuresReverse, findFigure, findFigure, findFigure, findFigureInside, findFigureInsideWithout, findFigureWithout, getFigureFromLayer, getLayer, includes, init, orphan, orphanAll, orphanAll, release, remove, removeAll, removeAll, removeAll, replace, sendToBack, sendToLayer`

Methods inherited from class org.jhotdraw.standard.AbstractFigure
`addDependendFigure, addFigureChangeListener, canConnect, center, changed, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, invalidate, invalidateRectangle, isEmpty, listener, removeDependendFigure, removeFigureChangeListener, removeFromContainer, setZValue, size, visit, willChange`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jhotdraw.framework.Figure
`addDependendFigure, addFigureChangeListener, canConnect, center, changed, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, figures, findFigureInside, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, includes, invalidate, isEmpty, listener, release, removeDependendFigure, removeFigureChangeListener, removeFromContainer, setZValue, size, visit, willChange`

Constructor Detail

### ChainFigure

    public ChainFigure(org.musoft.limo.model.Model element,
                       org.musoft.limo.drawing.ModelDrawing drawing)

  Constructor for ChainFigure.

Method Detail

### getMiningMartChain

    public MiningMartChain getMiningMartChain()

  Gets the `MiningMartChain`.

### onSetName

    public void onSetName(org.musoft.limo.model.ModelElement sender)

  Sets the label.

  Specified by:
    `onSetName` in interface `org.musoft.limo.model.ModelListener`
  Overrides:
    `onSetName` in class `org.musoft.limo.drawing.ModelFigure`

### moveBy

    public void moveBy(int dx,
                       int dy)

  If the `ChainFigure` was moved then the position of the `Chain` also changes.

  Specified by:
    `moveBy` in interface `org.jhotdraw.framework.Figure`
  Overrides:
    `moveBy` in class `org.musoft.limo.drawing.ModelFigure`

### bringToFront

    public void bringToFront()

  Overrides:
    `bringToFront` in class `org.musoft.limo.drawing.ModelFigure`

### draw

    public void draw(java.awt.Graphics g)

  Draws the image of the `StepFigure`.

  Specified by:
    `draw` in interface `org.jhotdraw.framework.Figure`
  Overrides:
    `draw` in class `org.jhotdraw.contrib.GraphicalCompositeFigure`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005